diff --git a/src/math/arm/fabsf.c b/src/math/arm/fabsf.c
index 4a217c98..790d4cfe 100644
--- a/src/math/arm/fabsf.c
+++ b/src/math/arm/fabsf.c
@@ -1,6 +1,6 @@
 #include <math.h>
 
-#if __ARM_PCS_VFP && !BROKEN_VFP_ASM
+#if __ARM_PCS_VFP && !BROKEN_VFP_ASM && (__ARM_FP&4)
 
 float fabsf(float x)
 {
diff --git a/src/math/arm/sqrtf.c b/src/math/arm/sqrtf.c
index 32693293..51f44f8c 100644
--- a/src/math/arm/sqrtf.c
+++ b/src/math/arm/sqrtf.c
@@ -1,6 +1,6 @@
 #include <math.h>
 
-#if (__ARM_PCS_VFP || (__VFP_FP__ && !__SOFTFP__)) && !BROKEN_VFP_ASM
+#if (__ARM_PCS_VFP || (__VFP_FP__ && !__SOFTFP__)) && !BROKEN_VFP_ASM && (__ARM_FP&4)
 
 float sqrtf(float x)
 {
